nxt

## Enum VoteWeighting.MinBalanceModel

- java.lang.Object
- - java.lang.Enum<VoteWeighting.MinBalanceModel>
  - - nxt.VoteWeighting.MinBalanceModel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VoteWeighting.MinBalanceModel>
  Enclosing class:
    VoteWeighting

      public static enum VoteWeighting.MinBalanceModel
      extends java.lang.Enum<VoteWeighting.MinBalanceModel>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASSET`
    `CURRENCY`
    `NONE`
    `NQT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VoteWeighting.MinBalanceModel` | `get(byte code)`
    `protected abstract long` | `getBalance(VoteWeighting voteWeighting, long voterId, int height)`
    `byte` | `getCode()`
    `static VoteWeighting.MinBalanceModel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VoteWeighting.MinBalanceModel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final VoteWeighting.MinBalanceModel NONE

    - #### NQT

          public static final VoteWeighting.MinBalanceModel NQT

    - #### ASSET

          public static final VoteWeighting.MinBalanceModel ASSET

    - #### CURRENCY

          public static final VoteWeighting.MinBalanceModel CURRENCY

  - ### Method Detail

    - #### values

          public static VoteWeighting.MinBalanceModel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VoteWeighting.MinBalanceModel c : VoteWeighting.MinBalanceModel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VoteWeighting.MinBalanceModel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public byte getCode()

    - #### getBalance

          protected abstract long getBalance(VoteWeighting voteWeighting,
                                             long voterId,
                                             int height)

    - #### get

          public static VoteWeighting.MinBalanceModel get(byte code)